Subject: Re: [PATCH 2/6] irq_work: Implement remote queueing

From: Peter Zijlstra <[email-masked]>
Date: Wed, 25 Jun 2014 11:36:57 +0200

On Wed, Jun 25, 2014 at 12:07:05PM +0530, Srivatsa S. Bhat wrote:
> I don't think irqs_disabled() is the problematic condition, since
> hotplug_cfg() invokes irq_work_run() from CPU_DYING context (which has
> irqs disabled). I guess you meant to remove the in_irq() check inside
> irq_work_run() instead?

Yes, clearly I should not get up at 6am.. :-) Let me go do a new one.